package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectTask;

/**
 * 巡查任务 数据层
 */
@Mapper
public interface TBusiInspectTaskMapper {

    TBusiInspectTask selectTBusiInspectTaskByGuid(String guid);

    List<TBusiInspectTask> selectTBusiInspectTaskList(TBusiInspectTask tBusiInspectTask);

    int insertTBusiInspectTask(TBusiInspectTask tBusiInspectTask);

    int updateTBusiInspectTask(TBusiInspectTask tBusiInspectTask);

    int deleteTBusiInspectTaskByGuid(String guid);

    int deleteTBusiInspectTaskByGuids(String[] guids);
}
